// =====================================================================
//  $Id: TAnalysisAction.cc,v 1.4 2004/03/07 10:30:27 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TAnalysisAction.cc,v $
//  Revision 1.4  2004/03/07 10:30:27  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:36  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:10  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TAnalysisAction.hh"
#include "TMatrixElement.hh"
#include "TAnalyser.hh"

TAnalysisAction::TAnalysisAction()
{;}

TAnalysisAction::~TAnalysisAction()
{;}

Tvoid TAnalysisAction::BeginOfAnalysisAction( TAnalyser* analyser, const Tstring& id )
{
  return;
}

Tvoid TAnalysisAction::UpdateOfAnalysisAction( TAnalyser* analyser, TMatrixElement& matrix )
{
  return;
}

Tvoid TAnalysisAction::EndOfAnalysisAction( TAnalyser* analyser, const Tstring& id )
{
  return;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TAnalysisAction)
#endif
